Restores a shutdown resource
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/_restore
Restores a shutdown resource belonging to a given Deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Query Parameters
-
restore_snapshotboolean · default: false Whether or not to restore a snapshot for those resources that allow it.
Responses
Standard Deployment Resource Crud Response
- The Resource does not have a pending plan. (code:
deployments.resource_does_not_have_a_pending_plan) - The resource is not shut down. (code:
deployments.resource_not_shutdown)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response